<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">会员卡管理</a></div>
		<div class="common_content_title">黑卡管理</div>
		
		<div>
			生成数量
			<input id="num" size="16" type="text" class="form-control input140" maxlength="6" value="" onkeyup='this.value=this.value.replace(/\D/gi,"")'> 
			批次
			<input id="batch" data-options="" size="16" type="text" class="form-control input140" value="" onkeyup='value=value.replace(/[\W]/g,"")' > 
			<button id="search" type="button" style="margin-top: -3px;display: inline;" class="btn btn-success btn-block choose_btn">查询</button>
			<button id="generate" type="button" style="margin-top: -3px;display: inline;" class="btn btn-success btn-block choose_btn">生成</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="memberIssueTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true">
				<thead>
					<tr>
						<th data-options="field:'issueId',checkbox:true">选择</th>
						<th data-options="field:'batch',width:125,align:'center',halign:'center'">批次</th>
						<th data-options="field:'statusId',width:160,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Coupon_Card_Status_Issue.getText(value);}">状态</th>
						<th data-options="field:'count',width:160,align:'center',halign:'center'">数量</th>
						<th data-options="field:'createBy',width:160,align:'center',halign:'center'">创建人</th>
						<th data-options="field:'createTime',width:150,align:'center',halign:'center',
								formatter : function(value, row, index) {return getDateString(value);}">发生时间</th>
						<th data-options="field:'issueIntanceId',width:270,align:'center',halign:'center',
							formatter:function(value, row, index){return issue_formatProgress(value, row, index);}">操作</th>
					</tr>
				</thead>
			</table>
		</div>
		<div id="memberCardDetail" class="mask none">
			<div class="detailed tableDetaile" style="width:600px">
				<div class="contactDetailed_title">制卡信息</div>
				<button type="button" class="icon detailed_close"></button>
				<button id="daochu" type="button" style="margin-top: -3px;display: inline;" class="btn btn-success btn-block choose_btn">导出</button>
				<div class="common_content_table box_shadow">
					<table id="memberManage_detail" class="easyui-datagrid" style="width:100%;height:450px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'post'">
						<thead>
							<tr>
								<!-- <th data-options="field:'ck',checkbox:true"></th> -->
								<th data-options="field:'memberEntityCardId',width:80,halign:'center',hidden:true">memberEntityCardId</th>
								<th data-options="field:'cardNo',width:100,halign:'center'">卡号</th>
								<th data-options="field:'statusId',width:80,align:'right',halign:'center'
								,formatter : function(value, row, index) {return $.Coupon_Card_Status_Issue.getText(value);}">状态</th>
							</tr>
						</thead>
					</table>
				</div>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/card/memberMakeCard'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>